Subject: Re: IBM OpenPower 720 ipr driver woes

From: Robert Knight <[email-masked]>
Date: Wed, 05 Jun 2013 17:14:20 -0400

On 6/3/2013 11:52 PM, Gavin Shan wrote:
> On Tue, Jun 04, 2013 at 01:16:52PM +1000, Tony Breeds wrote:
>> On Mon, Jun 03, 2013 at 09:40:52PM -0400, Robert Knight wrote:
>>> On 6/3/2013 8:01 PM, Tony Breeds wrote:
>>>> On Mon, Jun 03, 2013 at 05:20:12PM -0400, Robert Knight wrote:
>>>>
>>>>>> Device tree struct  0x0000000004820000 -> 0x0000000004840000
>>>>>> Calling quiesce...
>>>>>> returning from prom_init
>>>>>> [    1.376359] ehci-pci 0000:c8:01.2: can't setup
>>>> Can you try adding "debug" to the kernel commandline.  We're missing a
>>>> great chunk of detail. If you're starting from scratch either try F18 or
>>>> the F19 Beta (if you're brave :))
>>>>
>>>> Yours Tony
>>> So, two points.  Since I have no live disks, I can't copy the dmesg
>>> output in dracut onto a disk and just sent it to you -- the only way
>>> that I know to get it is cut and paste from a HMC console window
>>> into a vi buffer.
>> Okay, when I've been in that situation, I run "script" locally and then
>> conenct to the HMC console.
>>
>> When you're done you can exit script adn then a file called typescript
>> will exist in the directory you ran script in.
>>
>> It's a less overhead way of doign what you're already doing.
>> [    0.087097] NET: Registered protocol family 16
>>
>>> [    0.087144] pseries_eeh_init: RTAS service <ibm,get-config-addr-info2> and <i
>>> bm,get-config-addr-info> invalid
>>> [    0.087155] eeh_init: Failed to call platform init function (-22)
>> Hmm this seems pretty strange to me.  Gavin are these RTAS tokens
>> supported on older power5 boxes?
>>
> Yes, Tony. "ibm,get-config-addr-info" should be supported on Power5 box.
> Newer PowerBox (e.g. P7) should support "ibm,get-config-addr-info2"
>
> Please have a try on the attached patch, which is based on mainline (3.10).
>
> Thanks,
> Gavin
>
>
The system boots with that patch.  I applied it to kernel-3.8.11-100.